Bug 174762 - Yaboot menu fails to display after install to secondary drive on G5
Yaboot menu fails to display after install to secondary drive on G5
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
: 183106 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-12-01 17:54 EST by Javier Pedemonte
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-28 15:12:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
working yaboot.conf (545 bytes, text/plain)
2005-12-01 17:54 EST, Javier Pedemonte
no flags Details
devicetree.tar.gz (39.28 KB, application/x-gzip)
2005-12-02 16:29 EST, Javier Pedemonte
no flags Details

  None (edit)
Description Javier Pedemonte 2005-12-01 17:54:56 EST
Description of problem:

Installed FC4 on a secondary SATA drive in a PowerMac G5.  Install went great,
but when rebooted, machine started right into Mac OS X.  Never hit the yaboot
menu to allow booting into Linux.

Version-Release number of selected component (if applicable):

Fedora Core 4

How reproducible:    Always

Steps to Reproduce:
1. Install FC4 on secondary drive of PPC64 machine (PowerMac G5).
2. Reboot after install.
3. Try to boot linux.
Actual results:

Always boots into Mac OS X, never displays yaboot menu.

Expected results:

Displays yaboot menu.

Additional info:

In OpenFirmware, the boot-device was set as "/k2-sata@0/disk@0:2,\\:tbxi".  I
tried doing "boot /k2-sata@0/disk@0:2" in OF, but it says that device doesn't exist.

After much searching on the Internet, I found out that setting 'boot-device' to
"/ht@0,f2000000/pci@7/k2-sata-root@c/k2-sata@1/disk@0:2,\\:tbxi" works to load
the yaboot menu.  But loading Linux still fails since the yaboot.conf file has
the wrong info.  So I added this to yaboot.conf and everything is working now:

I've attached my full yaboot.conf file.
Comment 1 Javier Pedemonte 2005-12-01 17:54:56 EST
Created attachment 121719 [details]
working yaboot.conf
Comment 2 Paul Nasrat 2005-12-02 11:24:53 EST
When you've booted can you do

ofpath /dev/sdb
ofpathname /dev/sdb

Assuming /dev/sdb is the device installed on (I'm guessing this is accurate).
Comment 3 Javier Pedemonte 2005-12-02 12:05:26 EST
~ > /sbin/ofpath /dev/sdb
~ > /sbin/ofpath /dev/sda

The first one is wrong, but the ofpath for the primary drive looks correct.

I don't seem to have ofpathname on my machine.
Comment 4 Paul Nasrat 2005-12-02 12:10:10 EST
ofpathname is part of ppc64-utils which should be installed it'd be
 if you don't have it can you yum install ppc64-utils and try thanks.
Comment 5 Javier Pedemonte 2005-12-02 12:44:00 EST
Already checked that.  At least for FC4, ppc64-utils does not include ofpathname.
Comment 6 Paul Nasrat 2005-12-02 13:44:08 EST
Grab from

Comment 7 Javier Pedemonte 2005-12-02 14:08:44 EST
~ > ./ofpathname /dev/sda
~ > ./ofpathname /dev/sdb

For /dev/sdb, I think it should be "scsi@1", but it's exactly the same as /dev/sda.
Comment 8 Paul Nasrat 2005-12-02 14:19:36 EST
Hmm ok both are getting it wrong - can you attach a tarball of your device tree

tar czvf devicetree.tar.gz /proc/device-tree

Comment 9 Javier Pedemonte 2005-12-02 16:29:47 EST
Created attachment 121785 [details]
Comment 10 Paul Nasrat 2005-12-02 18:10:28 EST
Can you regrab the (updated) ofpathname script from my people page and test that

Can you also grab ofpath from the same location, and test that.
Comment 11 Javier Pedemonte 2005-12-02 18:24:15 EST
~ > ./ofpathname /dev/sda
~ > ./ofpathname /dev/sdb

That works better.

~ > ./ofpath /dev/sda
~ > ./ofpath /dev/sdb

Not so good!
Comment 12 Paul Nasrat 2005-12-02 18:28:24 EST
I've uploaded ofpath again (I think I put up an older version) - could you
redownload and retry - it's working here:

[root@g5 ~]# sh ofpath /dev/sda
[root@g5 ~]# sh ofpath /dev/sdb
Comment 13 Javier Pedemonte 2005-12-02 19:00:29 EST
The one from http://people.redhat.com/pnasrat/ofpath?  No, still gives same
results for me:
Comment 14 Paul Nasrat 2006-02-23 10:51:09 EST
Can you test with the ofpath from the latest yaboot in rawhide:


Here I get:


Comment 15 Paul Nasrat 2006-02-28 15:12:02 EST
Tested on a variety of systems and working now
Comment 16 Paul Nasrat 2006-02-28 15:12:39 EST
*** Bug 183106 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.